##
## Job Template - Local docker compose network + ATs
##
.run-branch-against-local-version-set:
  image: $TPFS_NODE_ACC_TEST_RUNNER_IMG
  extends:
    - .before-script-create-artifactory-creds
  tags:
    - kubernetes-runner
  services:
    - docker:18.09-dind
  variables:
    DOCKER_DRIVER: overlay2
    DOCKER_HOST: tcp://localhost:2375/
    ADDITIONAL_ARGS: ""
  script:
    - docker login -u _json_key -p "$(echo $GCLOUD_DEV_SERVICE_KEY | base64 -d)" https://gcr.io
    # Print image versions that will be used
    - cd generated
    - docker compose config | grep 'image'
    - cd ..
    - trace-cmd.sh xand-up yarn xand-up
    - sleep 5
    - yarn install
    - echo "ADDITIONAL_ARGS -> $ADDITIONAL_ARGS"
    - trace-cmd.sh yarn-test yarn xand-test $ADDITIONAL_ARGS
  after_script:
    - mkdir logs
    - cd generated
    - docker compose logs > ../logs/all.log || true
    - for service in $(docker compose config --service); do docker compose logs "$service" > "../logs/$service.log" || true; done
    - yarn xand-down
  artifacts:
    when: always
    reports:
      junit: test-results.xml
    paths:
      - logs/
